### Method

# Soup MessageHeaders append

#### Declaration [src]

    void
    soup_message_headers_append (
      SoupMessageHeaders* hdrs,
      const char* name,
      const char* value
    )

#### Description [src]

Appends a new header with name `name` and value `value` to `hdrs`.

(If there is an existing header with name `name`, then this creates a second one, which is only allowed for list-valued headers; see also `soup_message_headers_replace()`.)

The caller is expected to make sure that `name` and `value` are syntactically correct.

#### Parameters

`name` | `const char*`
| The header name to add.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const char*`
| The new value of `name`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.